### Function

# ECal time_to_gdate_with_zone

#### Declaration [src]

    void
    time_to_gdate_with_zone (
      GDate* date,
      time_t time,
      const ICalTimezone* zone
    )

#### Description [src]

Converts a time_t value to a `GDate` structure using the specified timezone. This is analogous to `g_date_set_time()` but takes the timezone into account.

#### Parameters

`date`

  Type: `GDate`

  Destination `GDate` value.

  The data is owned by the caller of the function.

`time`

  Type: `time_t`

  A time value.

`zone`

  Type: `None`

  Desired timezone for destination `date`, or `NULL` if the UTC timezone is desired.

  The argument can be `NULL`.
  The data is owned by the caller of the function.